using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.BusinessLogicsContracts
{
	public interface IPaymentLogic
	{
		List<PaymentViewModel>? ReadList(PaymentSearchModel? model);
		PaymentViewModel? ReadElement(PaymentSearchModel model);
		bool Create(PaymentBindingModel model);
		bool Update(PaymentBindingModel model);
		bool Delete(PaymentBindingModel model);
	}
}
